diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/default-widgets.php ./wordpress-3.3/wp-includes/default-widgets.php
*** ./wordpress-3.2.1/wp-includes/default-widgets.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/default-widgets.php	2011-11-07 11:28:20.000000000 -0600
***************
*** 105,111 ****
  
  		if ( is_admin() && !$category ) {
  			// Display All Links widget as such in the widgets screen
! 			echo $before_widget . $before_title. __('All Links') . $after_title . $after_widget;
  			return;
  		}
  
--- 105,111 ----
  
  		if ( is_admin() && !$category ) {
  			// Display All Links widget as such in the widgets screen
! 			echo $before_widget . $before_title . _x('All Links', 'links widget') . $after_title . $after_widget;
  			return;
  		}
  
***************
*** 140,146 ****
  		<p>
  		<label for="<?php echo $this->get_field_id('category'); ?>" class="screen-reader-text"><?php _e('Select Link Category'); ?></label>
  		<select class="widefat" id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>">
! 		<option value=""><?php _e('All Links'); ?></option>
  		<?php
  		foreach ( $link_cats as $link_cat ) {
  			echo '<option value="' . intval($link_cat->term_id) . '"'
--- 140,146 ----
  		<p>
  		<label for="<?php echo $this->get_field_id('category'); ?>" class="screen-reader-text"><?php _e('Select Link Category'); ?></label>
  		<select class="widefat" id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>">
! 		<option value=""><?php _ex('All Links', 'links widget'); ?></option>
  		<?php
  		foreach ( $link_cats as $link_cat ) {
  			echo '<option value="' . intval($link_cat->term_id) . '"'
***************
*** 177,183 ****
  
  	function widget( $args, $instance ) {
  		extract($args);
! 		$title = apply_filters('widget_title', $instance['title'], $instance, $this->id_base);
  
  		echo $before_widget;
  		if ( $title )
--- 177,183 ----
  
  	function widget( $args, $instance ) {
  		extract($args);
! 		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
  
  		echo $before_widget;
  		if ( $title )
***************
*** 220,227 ****
  
  	function widget( $args, $instance ) {
  		extract($args);
! 		$c = $instance['count'] ? '1' : '0';
! 		$d = $instance['dropdown'] ? '1' : '0';
  		$title = apply_filters('widget_title', empty($instance['title']) ? __('Archives') : $instance['title'], $instance, $this->id_base);
  
  		echo $before_widget;
--- 220,227 ----
  
  	function widget( $args, $instance ) {
  		extract($args);
! 		$c = ! empty( $instance['count'] ) ? '1' : '0';
! 		$d = ! empty( $instance['dropdown'] ) ? '1' : '0';
  		$title = apply_filters('widget_title', empty($instance['title']) ? __('Archives') : $instance['title'], $instance, $this->id_base);
  
  		echo $before_widget;
***************
*** 375,385 ****
  
  	function widget( $args, $instance ) {
  		extract($args);
! 		$title = apply_filters( 'widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);
! 		$text = apply_filters( 'widget_text', $instance['text'], $instance );
  		echo $before_widget;
  		if ( !empty( $title ) ) { echo $before_title . $title . $after_title; } ?>
! 			<div class="textwidget"><?php echo $instance['filter'] ? wpautop($text) : $text; ?></div>
  		<?php
  		echo $after_widget;
  	}
--- 375,385 ----
  
  	function widget( $args, $instance ) {
  		extract($args);
! 		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
! 		$text = apply_filters( 'widget_text', empty( $instance['text'] ) ? '' : $instance['text'], $instance );
  		echo $before_widget;
  		if ( !empty( $title ) ) { echo $before_title . $title . $after_title; } ?>
! 			<div class="textwidget"><?php echo !empty( $instance['filter'] ) ? wpautop( $text ) : $text; ?></div>
  		<?php
  		echo $after_widget;
  	}
***************
*** 426,434 ****
  		extract( $args );
  
  		$title = apply_filters('widget_title', empty( $instance['title'] ) ? __( 'Categories' ) : $instance['title'], $instance, $this->id_base);
! 		$c = $instance['count'] ? '1' : '0';
! 		$h = $instance['hierarchical'] ? '1' : '0';
! 		$d = $instance['dropdown'] ? '1' : '0';
  
  		echo $before_widget;
  		if ( $title )
--- 426,434 ----
  		extract( $args );
  
  		$title = apply_filters('widget_title', empty( $instance['title'] ) ? __( 'Categories' ) : $instance['title'], $instance, $this->id_base);
! 		$c = ! empty( $instance['count'] ) ? '1' : '0';
! 		$h = ! empty( $instance['hierarchical'] ) ? '1' : '0';
! 		$d = ! empty( $instance['dropdown'] ) ? '1' : '0';
  
  		echo $before_widget;
  		if ( $title )
***************
*** 525,532 ****
  		if ( !is_array($cache) )
  			$cache = array();
  
! 		if ( isset($cache[$args['widget_id']]) ) {
! 			echo $cache[$args['widget_id']];
  			return;
  		}
  
--- 525,535 ----
  		if ( !is_array($cache) )
  			$cache = array();
  
! 		if ( ! isset( $args['widget_id'] ) )
! 			$args['widget_id'] = $this->id;
! 
! 		if ( isset( $cache[ $args['widget_id'] ] ) ) {
! 			echo $cache[ $args['widget_id'] ];
  			return;
  		}
  
***************
*** 534,540 ****
  		extract($args);
  
  		$title = apply_filters('widget_title', empty($instance['title']) ? __('Recent Posts') : $instance['title'], $instance, $this->id_base);
! 		if ( ! $number = absint( $instance['number'] ) )
   			$number = 10;
  
  		$r = new WP_Query(array('posts_per_page' => $number, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true));
--- 537,543 ----
  		extract($args);
  
  		$title = apply_filters('widget_title', empty($instance['title']) ? __('Recent Posts') : $instance['title'], $instance, $this->id_base);
! 		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 10;
  
  		$r = new WP_Query(array('posts_per_page' => $number, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true));
***************
*** 628,643 ****
  		if ( ! is_array( $cache ) )
  			$cache = array();
  
! 		if ( isset( $cache[$args['widget_id']] ) ) {
! 			echo $cache[$args['widget_id']];
  			return;
  		}
  
   		extract($args, EXTR_SKIP);
   		$output = '';
!  		$title = apply_filters('widget_title', empty($instance['title']) ? __('Recent Comments') : $instance['title']);
  
! 		if ( ! $number = absint( $instance['number'] ) )
   			$number = 5;
  
  		$comments = get_comments( array( 'number' => $number, 'status' => 'approve', 'post_status' => 'publish' ) );
--- 631,649 ----
  		if ( ! is_array( $cache ) )
  			$cache = array();
  
! 		if ( ! isset( $args['widget_id'] ) )
! 			$args['widget_id'] = $this->id;
! 
! 		if ( isset( $cache[ $args['widget_id'] ] ) ) {
! 			echo $cache[ $args['widget_id'] ];
  			return;
  		}
  
   		extract($args, EXTR_SKIP);
   		$output = '';
! 		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? __( 'Recent Comments' ) : $instance['title'], $instance, $this->id_base );
  
! 		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 5;
  
  		$comments = get_comments( array( 'number' => $number, 'status' => 'approve', 'post_status' => 'publish' ) );
***************
*** 705,711 ****
  
  		extract($args, EXTR_SKIP);
  
! 		$url = $instance['url'];
  		while ( stristr($url, 'http') != $url )
  			$url = substr($url, 1);
  
--- 711,717 ----
  
  		extract($args, EXTR_SKIP);
  
! 		$url = ! empty( $instance['url'] ) ? $instance['url'] : '';
  		while ( stristr($url, 'http') != $url )
  			$url = substr($url, 1);
  
***************
*** 751,757 ****
  	}
  
  	function update($new_instance, $old_instance) {
! 		$testurl = ( isset($new_instance['url']) && ($new_instance['url'] != $old_instance['url']) );
  		return wp_widget_rss_process( $new_instance, $testurl );
  	}
  
--- 757,763 ----
  	}
  
  	function update($new_instance, $old_instance) {
! 		$testurl = ( isset( $new_instance['url'] ) && ( !isset( $old_instance['url'] ) || ( $new_instance['url'] != $old_instance['url'] ) ) );
  		return wp_widget_rss_process( $new_instance, $testurl );
  	}
  
***************
*** 1059,1070 ****
  
  	function widget($args, $instance) {
  		// Get menu
! 		$nav_menu = wp_get_nav_menu_object( $instance['nav_menu'] );
  
  		if ( !$nav_menu )
  			return;
  
! 		$instance['title'] = apply_filters('widget_title', $instance['title'], $instance, $this->id_base);
  
  		echo $args['before_widget'];
  
--- 1065,1076 ----
  
  	function widget($args, $instance) {
  		// Get menu
! 		$nav_menu = ! empty( $instance['nav_menu'] ) ? wp_get_nav_menu_object( $instance['nav_menu'] ) : false;
  
  		if ( !$nav_menu )
  			return;
  
! 		$instance['title'] = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
  
  		echo $args['before_widget'];
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/deprecated.php ./wordpress-3.3/wp-includes/deprecated.php
*** ./wordpress-3.2.1/wp-includes/deprecated.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/deprecated.php	2011-11-23 13:06:52.000000000 -0600
***************
*** 149,155 ****
  
  	$string = '<a href="'.get_permalink($post->ID).'">'.$previous;
  	if ( 'yes' == $title )
! 		$string .= apply_filters('the_title', $post->post_title, $post);
  	$string .= '</a>';
  	$format = str_replace('%', $string, $format);
  	echo $format;
--- 149,155 ----
  
  	$string = '<a href="'.get_permalink($post->ID).'">'.$previous;
  	if ( 'yes' == $title )
! 		$string .= apply_filters('the_title', $post->post_title, $post->ID);
  	$string .= '</a>';
  	$format = str_replace('%', $string, $format);
  	echo $format;
***************
*** 185,191 ****
  
  	$string = '<a href="'.get_permalink($post->ID).'">'.$next;
  	if ( 'yes' == $title )
! 		$string .= apply_filters('the_title', $post->post_title, $nextpost);
  	$string .= '</a>';
  	$format = str_replace('%', $string, $format);
  	echo $format;
--- 185,191 ----
  
  	$string = '<a href="'.get_permalink($post->ID).'">'.$next;
  	if ( 'yes' == $title )
! 		$string .= apply_filters('the_title', $post->post_title, $post->ID);
  	$string .= '</a>';
  	$format = str_replace('%', $string, $format);
  	echo $format;
***************
*** 2073,2079 ****
   * Checks and cleans a URL.
   *
   * A number of characters are removed from the URL. If the URL is for displaying
!  * (the default behaviour) amperstands are also replaced. The 'clean_url' filter
   * is applied to the returned cleaned URL.
   *
   * @since 1.2.0
--- 2073,2079 ----
   * Checks and cleans a URL.
   *
   * A number of characters are removed from the URL. If the URL is for displaying
!  * (the default behaviour) ampersands are also replaced. The 'clean_url' filter
   * is applied to the returned cleaned URL.
   *
   * @since 1.2.0
***************
*** 2615,2617 ****
--- 2615,2868 ----
  
  	return true;
  }
+ 
+ /**
+  * Display editor: TinyMCE, HTML, or both.
+  *
+  * @since 2.1.0
+  * @deprecated 3.3
+  *
+  * @param string $content Textarea content.
+  * @param string $id Optional, default is 'content'. HTML ID attribute value.
+  * @param string $prev_id Optional, not used
+  * @param bool $media_buttons Optional, default is true. Whether to display media buttons.
+  * @param int $tab_index Optional, not used
+  */
+ function the_editor($content, $id = 'content', $prev_id = 'title', $media_buttons = true, $tab_index = 2, $extended = true) {
+ 
+ 	wp_editor( $content, $id, array( 'media_buttons' => $media_buttons ) );
+ 	return;
+ }
+ 
+ /**
+  * Perform the query to get the $metavalues array(s) needed by _fill_user and _fill_many_users
+  *
+  * @since 3.0.0
+  * @param array $ids User ID numbers list.
+  * @return array of arrays. The array is indexed by user_id, containing $metavalues object arrays.
+  */
+ function get_user_metavalues($ids) {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	$objects = array();
+ 
+ 	$ids = array_map('intval', $ids);
+ 	foreach ( $ids as $id )
+ 		$objects[$id] = array();
+ 
+ 	$metas = update_meta_cache('user', $ids);
+ 
+ 	foreach ( $metas as $id => $meta ) {
+ 		foreach ( $meta as $key => $metavalues ) {
+ 			foreach ( $metavalues as $value ) {
+ 				$objects[$id][] = (object)array( 'user_id' => $id, 'meta_key' => $key, 'meta_value' => $value);
+ 			}
+ 		}
+ 	}
+ 
+ 	return $objects;
+ }
+ 
+ /**
+  * Sanitize every user field.
+  *
+  * If the context is 'raw', then the user object or array will get minimal santization of the int fields.
+  *
+  * @since 2.3.0
+  * @deprecated 3.3.0
+  * @uses sanitize_user_field() Used to sanitize the fields.
+  *
+  * @param object|array $user The User Object or Array
+  * @param string $context Optional, default is 'display'. How to sanitize user fields.
+  * @return object|array The now sanitized User Object or Array (will be the same type as $user)
+  */
+ function sanitize_user_object($user, $context = 'display') {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	if ( is_object($user) ) {
+ 		if ( !isset($user->ID) )
+ 			$user->ID = 0;
+ 		if ( !is_a( $user, 'WP_User' ) ) {
+ 			$vars = get_object_vars($user);
+ 			foreach ( array_keys($vars) as $field ) {
+ 				if ( is_string($user->$field) || is_numeric($user->$field) )
+ 					$user->$field = sanitize_user_field($field, $user->$field, $user->ID, $context);
+ 			}
+ 		}
+ 		$user->filter = $context;
+ 	} else {
+ 		if ( !isset($user['ID']) )
+ 			$user['ID'] = 0;
+ 		foreach ( array_keys($user) as $field )
+ 			$user[$field] = sanitize_user_field($field, $user[$field], $user['ID'], $context);
+ 		$user['filter'] = $context;
+ 	}
+ 
+ 	return $user;
+ }
+ 
+ /**
+  * Get boundary post relational link.
+  *
+  * Can either be start or end post relational link.
+  *
+  * @since 2.8.0
+  * @deprecated 3.3
+  *
+  * @param string $title Optional. Link title format.
+  * @param bool $in_same_cat Optional. Whether link should be in a same category.
+  * @param string $excluded_categories Optional. Excluded categories IDs.
+  * @param bool $start Optional, default is true. Whether to display link to first or last post.
+  * @return string
+  */
+ function get_boundary_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '', $start = true) {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	$posts = get_boundary_post($in_same_cat, $excluded_categories, $start);
+ 	// If there is no post stop.
+ 	if ( empty($posts) )
+ 		return;
+ 
+ 	// Even though we limited get_posts to return only 1 item it still returns an array of objects.
+ 	$post = $posts[0];
+ 
+ 	if ( empty($post->post_title) )
+ 		$post->post_title = $start ? __('First Post') : __('Last Post');
+ 
+ 	$date = mysql2date(get_option('date_format'), $post->post_date);
+ 
+ 	$title = str_replace('%title', $post->post_title, $title);
+ 	$title = str_replace('%date', $date, $title);
+ 	$title = apply_filters('the_title', $title, $post->ID);
+ 
+ 	$link = $start ? "<link rel='start' title='" : "<link rel='end' title='";
+ 	$link .= esc_attr($title);
+ 	$link .= "' href='" . get_permalink($post) . "' />\n";
+ 
+ 	$boundary = $start ? 'start' : 'end';
+ 	return apply_filters( "{$boundary}_post_rel_link", $link );
+ }
+ 
+ /**
+  * Display relational link for the first post.
+  *
+  * @since 2.8.0
+  * @deprecated 3.3
+  *
+  * @param string $title Optional. Link title format.
+  * @param bool $in_same_cat Optional. Whether link should be in a same category.
+  * @param string $excluded_categories Optional. Excluded categories IDs.
+  */
+ function start_post_rel_link($title = '%title', $in_same_cat = false, $excluded_categories = '') {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	echo get_boundary_post_rel_link($title, $in_same_cat, $excluded_categories, true);
+ }
+ 
+ /**
+  * Get site index relational link.
+  *
+  * @since 2.8.0
+  * @deprecated 3.3
+  *
+  * @return string
+  */
+ function get_index_rel_link() {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	$link = "<link rel='index' title='" . esc_attr( get_bloginfo( 'name', 'display' ) ) . "' href='" . esc_url( user_trailingslashit( get_bloginfo( 'url', 'display' ) ) ) . "' />\n";
+ 	return apply_filters( "index_rel_link", $link );
+ }
+ 
+ /**
+  * Display relational link for the site index.
+  *
+  * @since 2.8.0
+  * @deprecated 3.3
+  */
+ function index_rel_link() {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	echo get_index_rel_link();
+ }
+ 
+ /**
+  * Get parent post relational link.
+  *
+  * @since 2.8.0
+  * @deprecated 3.3
+  *
+  * @param string $title Optional. Link title format.
+  * @return string
+  */
+ function get_parent_post_rel_link($title = '%title') {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	if ( ! empty( $GLOBALS['post'] ) && ! empty( $GLOBALS['post']->post_parent ) )
+ 		$post = & get_post($GLOBALS['post']->post_parent);
+ 
+ 	if ( empty($post) )
+ 		return;
+ 
+ 	$date = mysql2date(get_option('date_format'), $post->post_date);
+ 
+ 	$title = str_replace('%title', $post->post_title, $title);
+ 	$title = str_replace('%date', $date, $title);
+ 	$title = apply_filters('the_title', $title, $post->ID);
+ 
+ 	$link = "<link rel='up' title='";
+ 	$link .= esc_attr( $title );
+ 	$link .= "' href='" . get_permalink($post) . "' />\n";
+ 
+ 	return apply_filters( "parent_post_rel_link", $link );
+ }
+ 
+ /**
+  * Display relational link for parent item
+  *
+  * @since 2.8.0
+  * @deprecated 3.3
+  */
+ function parent_post_rel_link($title = '%title') {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	echo get_parent_post_rel_link($title);
+ }
+ 
+ /**
+  * Add the "Dashboard"/"Visit Site" menu.
+  *
+  * @since 3.2.0
+  * @deprecated 3.3
+  */
+ function wp_admin_bar_dashboard_view_site_menu( $wp_admin_bar ) {
+ 	_deprecated_function( __FUNCTION__, '3.3' );
+ 
+ 	$user_id = get_current_user_id();
+ 
+ 	if ( 0 != $user_id ) {
+ 		if ( is_admin() )
+ 			$wp_admin_bar->add_menu( array( 'id' => 'view-site', 'title' => __( 'Visit Site' ), 'href' => home_url() ) );
+ 		elseif ( is_multisite() )
+ 			$wp_admin_bar->add_menu( array( 'id' => 'dashboard', 'title' => __( 'Dashboard' ), 'href' => get_dashboard_url( $user_id ) ) );
+ 		else
+ 			$wp_admin_bar->add_menu( array( 'id' => 'dashboard', 'title' => __( 'Dashboard' ), 'href' => admin_url() ) );
+ 	}
+ }
+ 
+ /**
+  * Checks if the current user belong to a given blog.
+  *
+  * @since MU
+  * @deprecated 3.3
+  * @deprecated Use is_user_member_of_blog()
+  * @see is_user_member_of_blog()
+  *
+  * @param int $blog_id Blog ID
+  * @return bool True if the current users belong to $blog_id, false if not.
+  */
+ function is_blog_user( $blog_id = 0 ) {
+ 	_deprecated_function( __FUNCTION__, '3.3', 'is_user_member_of_blog()' );
+ 
+ 	return is_user_member_of_blog( get_current_user_id(), $blog_id );
+ }
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/feed-atom-comments.php ./wordpress-3.3/wp-includes/feed-atom-comments.php
*** ./wordpress-3.2.1/wp-includes/feed-atom-comments.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/feed-atom-comments.php	2011-09-19 07:39:59.000000000 -0500
***************
*** 42,49 ****
  <?php do_action('comments_atom_head'); ?>
  <?php
  if ( have_comments() ) : while ( have_comments() ) : the_comment();
! 	$comment_post = get_post($comment->comment_post_ID);
! 	get_post_custom($comment_post->ID);
  ?>
  	<entry>
  		<title><?php
--- 42,48 ----
  <?php do_action('comments_atom_head'); ?>
  <?php
  if ( have_comments() ) : while ( have_comments() ) : the_comment();
! 	$comment_post = $GLOBALS['post'] = get_post( $comment->comment_post_ID );
  ?>
  	<entry>
  		<title><?php
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/feed.php ./wordpress-3.3/wp-includes/feed.php
*** ./wordpress-3.2.1/wp-includes/feed.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/feed.php	2011-11-20 12:32:42.000000000 -0600
***************
*** 63,69 ****
   * @return string Default feed, or for example 'rss2', 'atom', etc.
   */
  function get_default_feed() {
! 	return apply_filters('default_feed', 'rss2');
  }
  
  /**
--- 63,70 ----
   * @return string Default feed, or for example 'rss2', 'atom', etc.
   */
  function get_default_feed() {
! 	$default_feed = apply_filters('default_feed', 'rss2');
! 	return 'rss' == $default_feed ? 'rss2' : $default_feed;
  }
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/feed-rss2-comments.php ./wordpress-3.3/wp-includes/feed-rss2-comments.php
*** ./wordpress-3.2.1/wp-includes/feed-rss2-comments.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/feed-rss2-comments.php	2011-09-19 07:39:59.000000000 -0500
***************
*** 34,41 ****
  	<?php do_action('commentsrss2_head'); ?>
  <?php
  if ( have_comments() ) : while ( have_comments() ) : the_comment();
! 	$comment_post = get_post($comment->comment_post_ID);
! 	get_post_custom($comment_post->ID);
  ?>
  	<item>
  		<title><?php
--- 34,40 ----
  	<?php do_action('commentsrss2_head'); ?>
  <?php
  if ( have_comments() ) : while ( have_comments() ) : the_comment();
! 	$comment_post = $GLOBALS['post'] = get_post( $comment->comment_post_ID );
  ?>
  	<item>
  		<title><?php
